summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2019-01-14 19:30:55 +0100
committerFabian Groffen <grobian@gentoo.org>2019-01-14 19:32:19 +0100
commitd313c0b00f13e307b6e24eb202a63c300c7a8f80 (patch)
tree97f29428610f16d54b430f3f2f4e18f813ceec57
parentdev-python/tld: 0.9.2 bump (diff)
downloadgentoo-d313c0b00f13e307b6e24eb202a63c300c7a8f80.tar.gz
gentoo-d313c0b00f13e307b6e24eb202a63c300c7a8f80.tar.bz2
gentoo-d313c0b00f13e307b6e24eb202a63c300c7a8f80.zip
app-crypt/rhash: fix configure for Solaris
Signed-off-by: Fabian Groffen <grobian@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
-rw-r--r--app-crypt/rhash/rhash-1.3.7.ebuild3
1 files changed, 3 insertions, 0 deletions
diff --git a/app-crypt/rhash/rhash-1.3.7.ebuild b/app-crypt/rhash/rhash-1.3.7.ebuild
index 52b9332ac35..e179038547c 100644
--- a/app-crypt/rhash/rhash-1.3.7.ebuild
+++ b/app-crypt/rhash/rhash-1.3.7.ebuild
@@ -32,6 +32,9 @@ S="${WORKDIR}/RHash-${PV}"
src_prepare() {
default
+ # fix Solaris detection, upstream:
+ # https://github.com/rhash/RHash/pull/81
+ sed -i -e 's/sunos)/solaris2.*)/' configure || die
multilib_copy_sources
}